Opened 11 years ago

Last modified 11 years ago

#11321 closed defect

Make lcalc compatible with the new PARI — at Version 11

Reported by: jdemeyer Owned by: tbd
Priority: major Milestone: sage-4.8
Component: packages: standard Keywords: lcalc spkg
Cc: fbissey, rishi Merged in:
Authors: Jeroen Demeyer Reviewers: Volker Braun
Report Upstream: Reported upstream. Developers acknowledge bug. Work issues:
Branch: Commit:
Dependencies: #11130 Stopgaps:

Status badges

Description (last modified by jdemeyer)

PARI version 2.4.4 (see #11130) no longer has an allocatemoremem() function, which lcalc uses. There is a function allocatemem() which can be used instead.

New spkg: http://boxen.math.washington.edu/home/jdemeyer/spkg/lcalc-1.23.p7.spkg (this will only build after installing the PARI spkg from #11130).

Change History (11)

comment:1 follow-up: Changed 11 years ago by vbraun

  • Reviewers set to Volker Braun

Looks good to me. Are you making a full lcalc spkg at one point?

comment:2 Changed 11 years ago by fbissey

  • Cc fbissey added

comment:3 in reply to: ↑ 1 Changed 11 years ago by jdemeyer

Replying to vbraun:

Looks good to me. Are you making a full lcalc spkg at one point?

Yes, when I have time.

comment:4 Changed 11 years ago by jdemeyer

  • Description modified (diff)

comment:5 Changed 11 years ago by jdemeyer

  • Dependencies set to #11130

comment:6 Changed 11 years ago by jdemeyer

  • Report Upstream changed from N/A to Reported upstream. Little or no feedback.

comment:7 Changed 11 years ago by jdemeyer

  • Status changed from new to needs_review

New spkg ready for review, needs to be built with the new PARI spkg.

comment:8 Changed 11 years ago by jdemeyer

  • Report Upstream changed from Reported upstream. Little or no feedback. to Reported upstream. Developers acknowledge bug.

On 2011-05-12 18:56, Michael Rubinstein wrote:

Thanks for the patch.

I should point out that I now have a google code page for lcalc:

http://code.google.com/p/l-calc/

(lcalc was taken, so I went with l-calc).

The page has my beta newer version of lcalc, L-1.3 However, Rishikesh's cython wrapper is still being updated for that, so it won't work within sage with the current wrapper.

I should point out that Lcommandline_elliptic.cc has become part of the underlying class library and moved to Lelliptic.cc in version L-1.3

Mike

comment:9 Changed 11 years ago by jdemeyer

  • Status changed from needs_review to needs_work

comment:10 Changed 11 years ago by jdemeyer

  • Description modified (diff)
  • Status changed from needs_work to needs_review

comment:11 Changed 11 years ago by jdemeyer

  • Description modified (diff)
Note: See TracTickets for help on using tickets.